Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] Utopia Rx Status Register. More...
## Data Fields
unsigned int | reserved_1:3
| [31:29] These bits are always 0.
unsigned int | rxCellCountOvr:1
| [28] This bit is set if the RxCellCount register overflows
unsigned int | invalidHecCountOvr:1
| [27] This bit is set if the InvalidHecCount register overflows.
unsigned int | invalidParCountOvr:1
| [26] This bit is set if the InvalidParCount register overflows.
unsigned int | invalidSizeCountOvr:1
| [25] This bit is set if the InvalidSizeCount register overflows.
unsigned int | rxIdleCountOvr:1
| [24] This bit is set if the RxIdleCount register overflows.
unsigned int | reserved_2:4
| [23:20] These bits are always 0
unsigned int | rxFIFO2Underflow:1
| [19] This bit is set if 64-byte Receive FIFO2 indicates a FIFO underflow error condition
unsigned int | rxFIFO1Underflow:1
| [18] This bit is set if 64-byte Receive FIFO1 indicates a FIFO underflow error condition
unsigned int | rxFIFO2Overflow:1
| [17] This bit is set if 64-byte Receive FIFO2 indicates a FIFO overflow error condition
unsigned int | rxFIFO1Overflow:1
| [16] This bit is set if 64-byte Receive FIFO1 indicates a FIFO overflow error condition
unsigned int | reserved_3:16
| [15:0] These bits are always 0
## Detailed Description Utopia Rx Status Register. Definition at line 1770 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::invalidHecCountOvr
| [27] This bit is set if the InvalidHecCount register overflows. Definition at line 1775 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::invalidParCountOvr
| [26] This bit is set if the InvalidParCount register overflows. Definition at line 1776 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::invalidSizeCountOvr
| [25] This bit is set if the InvalidSizeCount register overflows. Definition at line 1777 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::reserved_1
| [31:29] These bits are always 0. Definition at line 1773 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::reserved_2
| [23:20] These bits are always 0 Definition at line 1779 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::reserved_3
| [15:0] These bits are always 0 Definition at line 1792 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::rxCellCountOvr
| [28] This bit is set if the RxCellCount register overflows Definition at line 1774 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::rxFIFO1Overflow
| [16] This bit is set if 64-byte Receive FIFO1 indicates a FIFO overflow error condition Definition at line 1789 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::rxFIFO1Underflow
| [18] This bit is set if 64-byte Receive FIFO1 indicates a FIFO underflow error condition Definition at line 1783 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::rxFIFO2Overflow
| [17] This bit is set if 64-byte Receive FIFO2 indicates a FIFO overflow error condition Definition at line 1786 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::rxFIFO2Underflow
| [19] This bit is set if 64-byte Receive FIFO2 indicates a FIFO underflow error condition Definition at line 1780 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaStatus::UtRxCellConditionStatus_::rxIdleCountOvr
| [24] This bit is set if the RxIdleCount register overflows. Definition at line 1778 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003